> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# List patient profiles

> Retrieves a paginated list of patient profiles.

The following fields are **always included** in the response, regardless of the `select` parameter:
  - `mobile`
  - `oid`
  - `username`
  - `fln`




## OpenAPI

````yaml get /profiles/v1/patient/minified/
openapi: 3.0.3
info:
  title: Patient APIs
  description: Patient Directory CRUD
  version: 1.0.0
servers:
  - url: https://api.eka.care
security: []
paths:
  /profiles/v1/patient/minified/:
    get:
      tags:
        - Patient
      summary: List patient profiles
      description: >
        Retrieves a paginated list of patient profiles.


        The following fields are **always included** in the response, regardless
        of the `select` parameter:
          - `mobile`
          - `oid`
          - `username`
          - `fln`
      parameters:
        - in: header
          name: client-id
          required: true
          schema:
            type: string
            example: EC_1431
        - in: query
          name: pageNo
          required: true
          schema:
            type: integer
            example: 1
        - in: query
          name: pageSize
          required: false
          schema:
            type: integer
            example: 100
          description: |
            The number of records to return.
            Default is 500. Maximum is 2000.
        - in: query
          name: select
          required: false
          description: >
            Comma-separated list of additional fields to include in the
            response.

            Example: `abha,dob,gen`


            Valid optional fields:  `abha`, `c_ate`, `dob`, `gen`, `u_ate`
          schema:
            type: string
          example: mobile, fln
        - in: query
          name: from
          required: false
          description: |
            Get profiles created after this time
            Format: epoch timestamp
            Example: 1750745358
          schema:
            type: integer
          example: 1750745358
        - in: query
          name: arc
          required: false
          description: >
            Include archived profiles in the response.

            Default is `false`. Set to `true` to include archived profiles.

            Setting this to `true` will also include `arc` field in the response
            wherever applicable.
          schema:
            type: boolean
          example: false
      responses:
        '200':
          description: A list of patient profiles
          content:
            application/json:
              schema:
                type: object
                properties:
                  profiles:
                    type: array
                    items:
                      $ref: '#/components/schemas/PatientProfileMin'
                  currPageMeta:
                    type: object
                    properties:
                      currPageNo:
                        type: integer
                        example: 1
                      pageSize:
                        type: integer
                        example: 10
                      nextPage:
                        type: integer
                        example: 2
                        description: >
                          The next page number to fetch. If there are no more
                          pages, this will be `-1`.
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    PatientProfileMin:
      type: object
      properties:
        mobile:
          type: string
          example: '1212121212'
        fln:
          type: string
          example: Test user
        u_ate:
          description: updated at epoch
          type: number
          example: 1750918049
        c_ate:
          description: created at epoch
          type: number
          example: 1750918049
        arc:
          type: boolean
          example: false
        dob:
          type: string
          format: date
          example: '2000-01-02'
        gen:
          type: string
          example: M
        oid:
          type: string
          example: '175074536120088'
        wid:
          type: string
          example: '77088111111111'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````